#include <stdio.h>
#include <gtk/gtk.h>

#include "mainwindow.h"
#include "mdiary.h"
#include "settings.h"

static void activate(GApplication *app, gpointer user_data)
{
	struct mainWindow *mainWindow;
	struct mdiary_settings *settings;
	gchar *settings_path;

	mainWindow = mainWindow_new();

	settings_path = g_strdup_printf("%s/.mdiary.conf", g_get_home_dir());
	settings = mdiary_settings_new(mainWindow);
	mdiary_load_settings(settings_path, settings);

	gtk_widget_show(mainWindow->mainWindow);
	gtk_main();

	mdiary_save_settings(settings_path, settings);
	mdiary_settings_free(settings);
	g_free(settings_path);

	return 0;
}

int main(int argc, char *argv[])
{
	GtkApplication *app;
	int status;

	app = gtk_application_new("net.notsyncing.mdiary", G_APPLICATION_FLAGS_NONE);
	g_signal_connect(app, "activate", G_CALLBACK(activate), NULL);
	status = g_application_run(G_APPLICATION(app), argc, argv);
	g_object_unref(app);
}
